! copyright (c) 2008 Swedish Defence Research Agency (FOI) 
! may not be copied or distributed without written permission from FOI



      MODULE FWPARTa

      IMPLICIT NONE

      LOGICAL,    DIMENSION(:), ALLOCATABLE :: EXPTYP_FW
      REAL*8,     DIMENSION(:), ALLOCATABLE :: SLNREF_FW,E1X_FW, TLNREF_FW,E2T_FW
      COMPLEX*16, DIMENSION(:), ALLOCATABLE :: CP_FW,CQ_FW, STP_FW,STQ_FW,SDP_FW,SDQ_FW, 
     &                                         URA_FW,URB_FW, CPX_FW   ! cpx for Airy
      COMPLEX*16, DIMENSION(:), ALLOCATABLE :: CFAKT_FW, BCFAKT_FW, BCFAKTINV_FW,
     & YA_FW, YB_FW
ccc      EQUIVALENCE (CQ_FW,CFAKT_FW), 
ccc     $ (STQ_FW,BCFAKT_FW), (SDQ_FW,BCFAKTINV_FW), 
ccc     $ (URA_FW,YA_FW), (URB_FW,YB_FW)

      SAVE

      END MODULE FWPARTa
